# README for dataport-schuposh-policies

This package contains a join script, which adds various policies to LDAP.

## usr/lib/univention-install/99dataport-schuposh-policies.inst
This join script is called by postinst.
It creates the following policies:

| Object type             | Name                            | Referenced by                                              | Description                                                                                                                                                                                                                        |
|-------------------------|---------------------------------|------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| policies/registry       | ucr-alle                        | cn=computers,dc=ldap,dc=base                               | UCR settings for all systems. <br> E.g.: proxy, umc timeout, customer repository... <br> Depending on whether the LDAP base is recognized as a QS/test domain it also configures the test customer repository                      |
| policies/registry       | ucr-portal                      | DC master and all DC backup systems                        | UCR settings for portal/self service systems. <br> E.g.: login link settings, password change url for SAML login, activated self service tabs, ...                                                                                 |
| settings/packages       | schuposh-packagelist            |                                                            | A package list of all (currently) required customer-specific packages. <br> Since there is no maintenance policy, this is only for reference right now.                                                                            |
| policies/masterpackages | schuposh-master-packages        |                                                            | Packages from schuposh-packagelist which shall be present on DC master and backup systems. <br> Since there is no maintenance policy, this is only for reference right now.                                                        |
| policies/slavepackages  | schuposh-slave-packages         |                                                            | Packages from schuposh-packagelist which shall be present on DC slave systems. <br> Since there is no maintenance policy, this is only for reference right now.                                                                    |
| policies/umc            | ucsschool-umc-admins-default    | UCS@School-Admins                                          | modules: "schoolwizards-users" "schoolusers-all" "schoolwizards-classes" "schoolgroups-class" "schoolgroups-teacher" "schoolrooms-all" "schoolexam-all" "internetrules-all" "distribution-all" "lessontimes-all" "schoollists-all" |
| policies/umc            | ucsschool-umc-teachers-default  | UCS@School-Teachers                                        | removes all UMC module permissions for UCS@School-Teachers
| policies/umc | umc-domain-admins-kunde         | Domain Admins                                              | modules: "schoolgroups-all" "schoolgroups-teacher" "schoolgroups-workgroup" "schoolgroups-workgroup-admin" "schoolwizards-classes" "schoolwizards-users" "schoolwizards-schools" "schoolusers-all" "udm-users" |
| policies/umc | dataport-schuposh-iqsh-admins   | cn=iqsh-admins,cn=groups,$ldap_base                        | modules: "udm-groups" "schoolimport-all" "schoolwizards-users" "schoolusers-all" "schoolwizards-classes"                                                                                                       |
| policies/umc | dataport-schuposh-import-admins | cn=import_admins-<school>,cn=groups,ou=<school>,$ldap_base | modules: "schoolimport-all"                                                                                                                                                                                    |
| policies/umc | dataport-schuposh-fvm-admins    | cn=dataport-schuposh-fvm-admins,cn=groups,$ldap_base       | modules: "udm-portal" "udm-license" "udm-validate" "udm-syntax"                                                                                                                                                |


Further details available at: <https://univention.plan.io/projects/dataport/wiki/Einrichtung_UMC>
